/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/12/12 17:20:17 by cchauvet          #+#    #+#             */
/*   Updated: 2023/01/05 18:18:07 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "solong.h"

int	main(int ac, char **av)
{
	char	**map;

	if (ac)
	{
		map = ft_readfile(av[1]);
		ft_printf("%S", map);
	}
	return (0);
}

int	maiin(void)
{
	void		*window_manager;
	void		*window;
	t_shape		shape;

	window_manager = mlx_init();
	window = mlx_new_window(window_manager, 500, 500, "Hello world!");
	shape.x = 10;
	shape.y = 10;
	shape.size = 25;
	shape.color = ft_strdup("yellow");
	shape.bcolor = ft_strdup("black");
	shape.shape = ft_strdup("square");
	printf("%d", ft_strcmp(shape.shape, "square"));
	ft_xpm_gen_file(shape);
	free(shape.color);
	free(shape.bcolor);
	free(shape.shape);
//	mlx_loop(window_manager);
	mlx_destroy_window(window_manager, window);
	mlx_destroy_display(window_manager);
	free(window_manager);
	return (1);
}
