/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   map.c                                              :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/01/05 13:51:49 by cchauvet          #+#    #+#             */
/*   Updated: 2023/01/05 19:00:31 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "solong.h"

char	**ft_readfile(char *path)
{
	char	**map;
	int		fd;
	ssize_t	nb_line;

	fd = open(path, O_RDONLY);
	nb_line = 1;
	map = malloc(sizeof(char *) * 2);
	if (map == NULL)
		return (NULL);
	map[0] = get_next_line(fd);
	while (map[nb_line - 1] != NULL)
	{
		map[nb_line] = get_next_line(fd);
		map = ft_tabrealloc(map, nb_line + 1, nb_line + 2);
		if (map == NULL)
			return (NULL);
		nb_line++;
	}
	return (map);
}
